LIGHTNING-LISTINVOICEREQUESTS(7)

NAME

lightning-listinvoicerequests -- Command for querying invoice_request status

SYNOPSIS

listinvoicerequests [invreq_id] [active_only]

DESCRIPTION

The listinvoicerequests RPC command gets the status of a specific invoice_request, if it exists, or the status of all invoice_requests if given no argument.

A specific invoice can be queried by providing the invreq_id, which is presented by lightning-invoicerequest(7), or can be calculated from a bolt12 invoice. If active_only is true (default is false) then only active invoice_requests are returned.

RETURN VALUE

On success, an object containing invoicerequests is returned. It is an array of objects, where each object contains:

•   invreq_id (hash): the SHA256 hash of all invoice_request fields less than 160

•   active (boolean): whether the invoice_request is currently active

•   single_use (boolean): whether the invoice_request will become inactive after we pay an invoice for it

•   bolt12 (string): the bolt12 string starting with lnr

•   used (boolean): whether the invoice_request has already been used

•   label (string, optional): the label provided when creating the invoice_request

AUTHOR

Rusty Russell <rusty@rustcorp.com.au> is mainly responsible.

SEE ALSO

lightning-invoicerequests(7), lightning-disableinvoicerequest(7).

RESOURCES

Main web site: https://github.com/ElementsProject/lightning